Foreman assigns wrong VPC when multiple VPCs have same subnets

10/25/2013 12:09 PM - Jim Bailey

Status: New   
Assignee:    
Target version:    
Pull request:    

Description

If you have multiple VPCs with the same subnets, for example a dev, test and live VPC. Foreman does not allow you to select the

VPC you need. Instead it assigns you to a VPC based on some internal logic.

This means that Foreman provisioning on ec2 is broken where subnets are reused within differnet VPCs.

Related issues:

Related to Foreman - Bug #6787: Turn off the validation on ip addresses New 07/26/2014

History

#1 - 10/29/2013 05:51 PM - Jim Bailey

Just attempted some more provisioning inside VPCs sharing the same subnet layout it appears to be random as to which VPC foreman assigns the

instance to. The functionality to select VPCs is available in Fog, as is the ability to select an specific IP from that subnet. However this functionality is

not exposed by the Foreman UI or API.

#2 - 01/21/2014 10:15 AM - Jim Bailey

Using a restricted IAMs as suggest on list doesn't help it still randomly assigns the VPC which if it assigns to the wrong VPC results in an IAMs

permission denied rather than an inaccessible instance in the wrong VPC.

#3 - 07/28/2014 04:40 AM - Dominic Cleal

- Related to Bug #6787: Turn off the validation on ip addresses added

#4 - 09/26/2014 07:23 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - EC2
